if ( window == window.top )
	window.location = '../_jsunit/testRunner.html?testpage=' + document.location.pathname ;

if ( typeof FCKScriptLoader != 'undefined' )
	FCKScriptLoader.FCKeditorPath = document.location.pathname.substring(0,document.location.pathname.lastIndexOf('_test')) ;

function GetTestInnerHtml( element )
{
	// IE and others change the innerHTML to an internal format (without
	// quotes, uppercased and linebreaks). Transform it in something usable for
	// the tests assertions.
	return element.innerHTML.replace( /"/g, '' ).toLowerCase().replace( />\s*(\n|\r)+\s*</g, '><' ).replace( /\s*(\n|\r)+\s*/g, ' ' ).replace( /(^\s+)|(\s+$)/g, '' ) ;
}